GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Private Types | Private Attributes | List of all members
GpgFrontend::GpgKeySignature Class Reference
Collaboration diagram for GpgFrontend::GpgKeySignature:

## Public Member Functions
bool | IsRevoked () const
bool | IsExpired () const
bool | IsInvalid () const
bool | IsExportable () const
gpgme_error_t | GetStatus () const
std::string | GetKeyID () const
std::string | GetPubkeyAlgo () const
boost::posix_time::ptime | GetCreateTime () const
| Create a time object. More...
boost::posix_time::ptime | GetExpireTime () const
std::string | GetUID () const
std::string | GetName () const
std::string | GetEmail () const
std::string | GetComment () const
| GpgKeySignature ()
| Construct a new Gpg Key Signature object. More...
| ~GpgKeySignature ()
| Destroy the Gpg Key Signature object.
| GpgKeySignature (gpgme_key_sig_t sig)
| Construct a new Gpg Key Signature object. More...
| GpgKeySignature (GpgKeySignature &&) noexcept
| Construct a new Gpg Key Signature object.
| GpgKeySignature (const GpgKeySignature &)=delete
| Construct a new Gpg Key Signature object.
GpgKeySignature & | operator= (GpgKeySignature &&) noexcept
GpgKeySignature & | operator= (const GpgKeySignature &)=delete

## Private Types
using | KeySignatrueRefHandler = std::unique_ptr< struct _gpgme_key_sig, std::function< void(gpgme_key_sig_t)> >

## Private Attributes
KeySignatrueRefHandler | signature_ref_ = nullptr

## Constructor & Destructor Documentation

## ◆ GpgKeySignature() [1/2]

GpgFrontend::GpgKeySignature::GpgKeySignature | ( |  | ) |
| default

Construct a new Gpg Key Signature object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## ◆ GpgKeySignature() [2/2]

GpgFrontend::GpgKeySignature::GpgKeySignature | ( | gpgme_key_sig_t | sig | ) |
| explicit

Construct a new Gpg Key Signature object.

Parameters

  sig |

## Member Function Documentation

## ◆ GetComment()

std::string GpgFrontend::GpgKeySignature::GetComment | ( |  | ) | const

Returns
  std::string

## ◆ GetCreateTime()

boost::posix_time::ptime GpgFrontend::GpgKeySignature::GetCreateTime | ( |  | ) | const

Create a time object.

Returns
  boost::posix_time::ptime

## ◆ GetEmail()

std::string GpgFrontend::GpgKeySignature::GetEmail | ( |  | ) | const

Returns
  std::string

## ◆ GetExpireTime()

boost::posix_time::ptime GpgFrontend::GpgKeySignature::GetExpireTime | ( |  | ) | const

Returns
  boost::posix_time::ptime

## ◆ GetKeyID()

std::string GpgFrontend::GpgKeySignature::GetKeyID | ( |  | ) | const

Returns
  std::string

## ◆ GetName()

std::string GpgFrontend::GpgKeySignature::GetName | ( |  | ) | const

Returns
  std::string

## ◆ GetPubkeyAlgo()

std::string GpgFrontend::GpgKeySignature::GetPubkeyAlgo | ( |  | ) | const

Returns
  std::string

## ◆ GetStatus()

gpgme_error_t GpgFrontend::GpgKeySignature::GetStatus | ( |  | ) | const

Returns
  gpgme_error_t

## ◆ GetUID()

std::string GpgFrontend::GpgKeySignature::GetUID | ( |  | ) | const

Returns
  std::string

## ◆ IsExpired()

bool GpgFrontend::GpgKeySignature::IsExpired | ( |  | ) | const

Returns
  true
  false

## ◆ IsExportable()

bool GpgFrontend::GpgKeySignature::IsExportable | ( |  | ) | const

Returns
  true
  false

## ◆ IsInvalid()

bool GpgFrontend::GpgKeySignature::IsInvalid | ( |  | ) | const

Returns
  true
  false

## ◆ IsRevoked()

bool GpgFrontend::GpgKeySignature::IsRevoked | ( |  | ) | const

Returns
  true
  false

## ◆ operator=() [1/2]

GpgKeySignature& GpgFrontend::GpgKeySignature::operator= | ( | const GpgKeySignature & |  | ) |
| delete

Returns
  GpgKeySignature&

## ◆ operator=() [2/2]

GpgFrontend::GpgKeySignature & GpgFrontend::GpgKeySignature::operator= | ( | GpgKeySignature && |  | ) |
| default noexcept

Returns
  GpgKeySignature&

The documentation for this class was generated from the following files:

- src/core/model/GpgKeySignature.h
- src/core/model/GpgKeySignature.cpp